function dydt = sysodeinput(x,y,nvec);
%
%  enter differential equations
%
a = 1.0;
b = -0.1;
c = 0.01;
dydt(1) = y(2);
dydt(2) = a*x+b*y(1)+c*y(2);
dydt(3) = -dydt(2);
dydt(4) = c/(x+1);
dydt(5) = b*x*y(4)-y(3);
dydt(6) = c*x - dydt(5);
dydt(7) = a*b*y(6);
dydt(8) = c^2*y(7)*dydt(1);
dydt(9) = y(2) + b;
dydt(10) = dydt(9)/(y(9)+a);